Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogicx.jsp.tags
Class BeanParamTag

    java.lang.Object
      |
      +--weblogicx.jsp.tags.BeanParamTag

public class BeanParamTag
extends java.lang.Object
implements javax.servlet.jsp.tagext.BodyTag

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`BeanParamTag()`

Method Summary
`int` | `doAfterBody()` methods of javax.servlet.jsp.tagext.BodyTag
`int` | `doEndTag()`
`void` | `doInitBody()`
`int` | `doStartTag()` methods of javax.servlet.jsp.tagext.Tag
`int` | `getIndex()`
`java.lang.String` | `getInterpreterClass()`
`boolean` | `getIterate()`
`java.lang.String` | `getObject()`
`javax.servlet.jsp.tagext.Tag` | `getParent()`
`boolean` | `getRelative()`
`void` | `release()`
`void` | `setBodyContent(javax.servlet.jsp.tagext.BodyContent bc)`
`void` | `setInterpreterClass(java.lang.String interpreterClass)`
`void` | `setIterate(boolean b)`
`void` | `setObject(java.lang.String id)`
`void` | `setPageContext(javax.servlet.jsp.PageContext pc)`
`void` | `setParent(javax.servlet.jsp.tagext.Tag p)`
`void` | `setRelative(boolean b)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BeanParamTag

    public BeanParamTag()

Method Detail

### getIndex

    public int getIndex()

### setRelative

    public void setRelative(boolean b)

### getRelative

    public boolean getRelative()

### setIterate

    public void setIterate(boolean b)

### getIterate

    public boolean getIterate()

### setInterpreterClass

    public void setInterpreterClass(java.lang.String interpreterClass)

### getInterpreterClass

    public java.lang.String getInterpreterClass()

### getObject

    public java.lang.String getObject()

### setObject

    public void setObject(java.lang.String id)
                   throws java.lang.Exception

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  methods of javax.servlet.jsp.tagext.Tag

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

### getParent

    public javax.servlet.jsp.tagext.Tag getParent()

### release

    public void release()

### setPageContext

    public void setPageContext(javax.servlet.jsp.PageContext pc)

### setParent

    public void setParent(javax.servlet.jsp.tagext.Tag p)

### doAfterBody

    public int doAfterBody()
                    throws javax.servlet.jsp.JspException

  methods of javax.servlet.jsp.tagext.BodyTag
  Specified by:
    doAfterBody in interface javax.servlet.jsp.tagext.BodyTag

### doInitBody

    public void doInitBody()
                    throws javax.servlet.jsp.JspException

  Specified by:
    doInitBody in interface javax.servlet.jsp.tagext.BodyTag

### setBodyContent

    public void setBodyContent(javax.servlet.jsp.tagext.BodyContent bc)

  Specified by:
    setBodyContent in interface javax.servlet.jsp.tagext.BodyTag

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD